Loading...
Searching...
No Matches
XrdMpxVar Class Reference
Collaboration diagram for XrdMpxVar:

## Public Member Functions

| XrdMpxVar (bool dbg=false)
| ~XrdMpxVar ()
int | Pop (const char *vName)
int | Push (const char *vName)
void | Reset ()
const char * | Var ()

## Detailed Description

Definition at line 184 of file XrdMpxXml.cc.

## Constructor & Destructor Documentation

## XrdMpxVar()

XrdMpxVar::XrdMpxVar | ( | bool | dbg = false | ) |

inline

Definition at line 196 of file XrdMpxXml.cc.

: vFence(vBuff + sizeof(vBuff) - 1), Debug(dbg) {Reset();}
Debug
bool Debug
Definition XrdSecgsiProxy.cc:95
XrdMpxVar::Reset
void Reset()
Definition XrdMpxXml.cc:192

References Reset().

Here is the call graph for this function:

## ~XrdMpxVar()

XrdMpxVar::~XrdMpxVar | ( |  | ) |

inline

Definition at line 198 of file XrdMpxXml.cc.

{}

## Member Function Documentation

## Pop()

int XrdMpxVar::Pop | ( | const char * | vName | ) |

Definition at line 211 of file XrdMpxXml.cc.

{
if (Debug) std::cerr <<"Pop: " <<(vName ? vName : "") <<"; var=" <<vBuff <<std::endl;
if (vNum < 0 || (vName && strcmp(vStack[vNum], vName))) return 0;
vEnd = vStack[vNum]-1; *vEnd = '\0'; vNum--;
return 1;
}

Referenced by XrdMpxXml::Format().

Here is the caller graph for this function:

## Push()

int XrdMpxVar::Push | ( | const char * | vName | ) |

Definition at line 223 of file XrdMpxXml.cc.

{
int n = strlen(vName);
if (Debug) std::cerr <<"Push: " <<vName <<"; var=" <<vBuff <<std::endl;
if (vNum >= vMax) return 0;
if (vNum >= 0) *vEnd++ = '.';
else vEnd = vBuff;
if (vEnd+n+1 >= vFence) return 0;
strcpy(vEnd, vName);
vStack[++vNum] = vEnd;
vEnd += n;
return 1;
}

Referenced by XrdMpxXml::Format().

Here is the caller graph for this function:

## Reset()

void XrdMpxVar::Reset | ( |  | ) |

inline

Definition at line 192 of file XrdMpxXml.cc.

{vEnd = vBuff; vNum = -1; *vBuff = 0;}

Referenced by XrdMpxVar().

Here is the caller graph for this function:

## Var()

const char * XrdMpxVar::Var | ( |  | ) |

inline

Definition at line 194 of file XrdMpxXml.cc.

{return vBuff;}

Referenced by XrdMpxXml::Format().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdMpxXml.cc